Bug 201266 - nagios-plugins: check_dhcp needs root privileges
Summary: nagios-plugins: check_dhcp needs root privileges
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios-plugins   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-03 21:47 UTC by Jose Pedro Oliveira
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: nagios-plugins-1.4.3-16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-11 15:34:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2006-08-03 21:47:55 UTC
Description of problem:
The check_dhcp client needs to bind itself to the bootpc port
in order to make a DHCP request (bootpc aka dhcpc == 68/udp).

Version-Release number of selected component (if applicable):
nagios-plugins-1.4.3-14

How reproducible:
Always (with a non-root account such as the nagios account).

Steps to Reproduce:
1. /usr/lib/nagios/plugins/check_dhcp
or
   /usr/lib/nagios/plugins/check_dhcp -v

Actual results:
Error: Could not bind socket to interface eth0.  Check your privileges...

Additional info:
Solution 
  chown root.nagios /usr/lib/nagios/plugins/check_dhcp
  chmod 4750 /usr/lib/nagios/plugins/check_dhcp

Comment 1 Mike McGrath 2006-08-10 03:52:29 UTC
I've added a fix for this, its building for devel now.  FC4/5 to follow soon.

Comment 2 Jose Pedro Oliveira 2006-08-11 15:34:35 UTC
Thanks.

$ rpm -q nagios-plugins-dhcp
nagios-plugins-dhcp-1.4.3-16.fc5

$ rpm -qlv nagios-plugins-dhcp
-rwsr-x---  1 root  nagios 27540 Aug 10 16:24 /usr/lib/nagios/plugins/check_dhcp


Note You need to log in before you can comment on or make changes to this bug.